#!/bin/bash
#This is an example of the configuration file needed to run the nccf_atm_monthly_new.sh. You can copy it to the directory where you run the script. For any other information, you can look at the details of how to use this file or the nccf_atm_monthly_new in the cfu wiki
INSTITUTION="IC3"
SOURCE="EC-Earth3.1"
LEVEL_LST=(50000)
#LEVEL_LST=(92500,85000,70000,50000,20000,10000,5000)
DATADIR="/cfunas/exp/ecearth/rawfiles"  #where MMA files located
SAVEDIR="/cfunas/exp/ecearth"  # for Saving outputs
HEAD_DIR="/cfu/pub/scripts/postp_ecearth/header" # some of the header information
WORKDIR="/scratch/$USER/pp/nccf_atm_daily_$$"
NFRP=6 # ecearth output frequency (hours), this is for computing the accumulated precipitation and flux variables
EXPID=i05m
HOUR_LST="00,06,12,18"
HOUR_LST_3D="00,12"
SDATE=20010501 #20020501 20030501 20040501 20050501 20060501
#LEAD_LIST=(2001 05 2006 08 4) #lead times to be treated (1st_year 1st_month last_year last_month chunk_size(in months)
MEM_LST=(fc0) # list of members you want to post-process (with format ( fc? fc?? fc??? ). If left empty, it will post-process all the members for which it finds 
INTERVAL=6                      # frequence to save daily data, 6: every 6 hours, 3: every 3 hours, 12: every 12 hours
INTERVAL_3D=12                  # frequence to save daily data, 6: every 6 hours, 3: every 3 hours, 12: every 12 hours
INTERVAL_MXMN=24                # frequence to save daily data, 6: every 6 hours, 3: every 3 hours, 12: every 12 hours
REFTIME_UNIT=day                # time since 1950-01-01
TABLE=table_of_variable_${INTERVAL}hourly
#VAR_LST="PRECIP "
VAR_LST="T2M SST MSL PRECIP SSR STR SLHF SSHF D2M U10M V10M SD SSRD STRD TTR TSR E STL1 TCC T U V Z Q MX2T MN2T"
MASK_PATH=/cfunas/exp/ecearth/land_sea_mask_512x256.nc # path of the mask for the actual resolution (used to change tos from 0 to NaN on the continents)
